<template>
  <!-- this component is not ready do not use this-->
  <div>
    <img
      :src="imageRequired"
      :srcset="imageRequired.srcSet"
      class="lazyload"
      :alt="alt"
    />
  </div>
</template>

<script>
export default {
  props: {
    // eslint-disable-next-line vue/require-default-prop
    // eslint-disable-next-line vue/require-prop-types
    imageurl: {
      required: true,
    },
    // eslint-disable-next-line vue/require-default-prop
    srcset: {
      type: String,
    },
    alt: {
      type: String,
      required: true,
    },
    // eslint-disable-next-line vue/require-default-prop
    classes: {
      type: String,
    },
  },
  computed: {
    // eslint-disable-next-line vue/return-in-computed-property
    imageRequired() {
      return require(`~/assets/images/blog/${this.imageurl}`);
    },
    isRounded() {
      return this.rounded ? 'image-placeholder--rounded' : '';
    },
  },
};
</script>
